// Author(s) : Justin Crooks
// Copyright 2012, Test Equipment Plus
//
// Description :
// 
// Date : Author of Revision : Description (if any)
// 15 MAY 2012 : AJ Montgomery : Added Headers
// SHAPISampleAppDoc.h : interface of the CSHAPISampleAppDoc class
//

#pragma once

#define PLOT_TYPE_DBM 0
#define PLOT_TYPE_INT 1
#define PLOT_TYPE_HZ  2
#define PLOT_TYPE_PCT 3



class CSHAPISampleAppDoc : public CDocument
{
protected: // create from serialization only
	CSHAPISampleAppDoc();
	DECLARE_DYNCREATE(CSHAPISampleAppDoc)

// Attributes
public:
	bool m_bIsInitialized;
	bool m_bIsConfigured;
	CString m_LastCommand;
	CString m_LastResult;
	bool m_HavePlot;
	int m_PlotSize;
	double * m_PlotData;
	bool m_HasTG;
	int m_plotType;
	int m_decimation;
// Operations
public:

// Overrides
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CSHAPISampleAppDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	void FreeAllocPlotMemory(int newsize);

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnCommandInitialize();
	afx_msg void OnUpdateCommandInitialize(CCmdUI *pCmdUI);
	afx_msg void OnCommandConfigure();
	afx_msg void OnUpdateCommandConfigure(CCmdUI *pCmdUI);
	afx_msg void OnCommandSlowsweep();
	afx_msg void OnUpdateCommandSlowsweep(CCmdUI *pCmdUI);
	afx_msg void OnCommandFastsweep();
	afx_msg void OnUpdateCommandFastsweep(CCmdUI *pCmdUI);
	afx_msg void OnCommandClose();
	afx_msg void OnUpdateCommandClose(CCmdUI *pCmdUI);
	afx_msg void OnIShowraw();
	afx_msg void OnIShowfmdemod();
	afx_msg void OnIShowamdemod();
	afx_msg void OnUpdateIShowamdemod(CCmdUI *pCmdUI);
	afx_msg void OnUpdateIShowfmdemod(CCmdUI *pCmdUI);
	afx_msg void OnUpdateIShowraw(CCmdUI *pCmdUI);
	afx_msg void OnCommandTrackinggeneratorsweep();
	afx_msg void OnUpdateCommandTrackinggeneratorsweep(CCmdUI *pCmdUI);
};


