// Author(s) : Justin Crooks
// Copyright 2012, Test Equipment Plus
//
// Description :
// 
// Date : Author of Revision : Description (if any)
// 15 MAY 2012 : AJ Montgomery : Added Headers
// SHAPISampleAppView.h : interface of the CSHAPISampleAppView class
//


#pragma once


class CSHAPISampleAppView : public CView
{
protected: // create from serialization only
	CSHAPISampleAppView();
	DECLARE_DYNCREATE(CSHAPISampleAppView)

// Attributes
public:
	CSHAPISampleAppDoc* GetDocument() const;

// Operations
public:
	int ScaleVal(double valIn, double valMin, double valMax, int pixMin, int pixMax);

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CSHAPISampleAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SHAPISampleAppView.cpp
inline CSHAPISampleAppDoc* CSHAPISampleAppView::GetDocument() const
   { return reinterpret_cast<CSHAPISampleAppDoc*>(m_pDocument); }
#endif

